<p>Kroz prethodne minilekcije upoznali smo se s osnovama modeliranja jednostavnog sklopovlja uporabom
   jezika VHDL. Fokus je pri tome bio na izradi modela toka podataka kod kojega definiramo niz naredbi
   dodjeljivanja koje na temelju ulaza (i eventualno internih signala) specificiraju na koji se način
   isti transformiraju u izlaze. Primjer takvog modeliranja jest naredba:
</p>

<pre><code> y &lt;= (a and b) or (not a and not b);</code></pre>

<p>U praksi, uz tako jednostavne digitalne sklopove susrećemo se i s digitalnim sklopovima koji su 
   puno složeniji. Uzmimo za primjer jedan 4-jezgreni centralni procesor računala. To je digitalni sklop
   koji se sastoji od 4 identična jednostavnija digitalna sklopa (<em>jezgre</em>). Pri modeliranju
   takvog sklopa, nećemo 4 puta pisati opis jezgre: napravit ćemo jedan model jezgre, i potom definirati
   da u sklopu <em>procesor</em> imamo četiri <em>primjerka</em> komponente <em>jezgra</em>. Primijetite
   da smo time počeli složeniji dizajn razlagati u hijerarhiju jednostavnijih komponenata.
</p>

<p>Priča, naravno, ne staje s modeliranjem komponente <em>jezgra</em>: ona je puno presložena da bismo je
   modelirali osnovnim logičkim izrazima. Umjesto toga, primijetit ćemo da je jezgra izgrađena od komponenata
   poput aritmetičko-logičke jedinice, upravljačke jedinice i drugog sklopovlja. Stoga ćemo 
   jezikom VHDL napisati modele tih komponenata, i potom model <em>jezgre</em> napisati pozivajući se na
   komponente od kojih je ista izgrađena (i koje smo prethodno modelirali), te opisujući način na koji je ulaze
   i izlaze tih komponenata potrebno povezati kako bi naša modelirana komponenta (<em>jezgra</em>) obavljala
   očekivanu funkcionalnost.
</p>

<p>S obzirom na to da kod ovakvog načina modeliranja definiramo strukturu složenog sklopovlja oslanjajući se na
   jednostavnije komponente, takvo modeliranje naziva se <em>strukturno modeliranje</em> a VHDL-model koji
   se oslanja na druge jednostavnije modele nazivamo <em>strukturnim modelom</em>. U okviru ove minilekcije,
   pogledat ćemo kako se pišu strukturni modeli.
</p>

